﻿@model DAL.DBEntities.vt_Invoice_P
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    /*.dz-error-message {
        display: none !important;
    }*/
</style>

<div class="row page-title clearfix">
    <div class="page-title-left">
        <h6 class="page-title-heading mr-0 mr-r-5">File Upload</h6>
    </div>
    <!-- /.page-title-left -->
    <div class="page-title-right d-none d-sm-inline-flex">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a href="index.html">Dashboard</a>
            </li>
            <li class="breadcrumb-item active">File Upload</li>
        </ol>
    </div>
    <!-- /.page-title-right -->
</div>
<!-- /.page-title -->
<!-- =================================== -->
<!-- Different data widgets ============ -->
<!-- =================================== -->
<div class="widget-list">
    <div class="row">
        <div class="col-md-12 widget-holder">
            <div class="widget-bg">
                <div class="widget-body clearfix">
                    <h5 class="box-title mr-b-0">File Upload 1</h5>
                    <p class="text-muted"></p>

                    @*@Html.DropDownList("year", new SelectList(ViewBag.Year, "Year", "Year"), "Please Select",
    new Dictionary<string, Object> { { "class", "form-control" }, { "data-live-search", "true" }, { "data-max-options", "1" } })
                    @Html.DropDownList("month", new SelectList(ViewBag.Month, "Month", "MonthName"), "Please Select",
    new Dictionary<string, Object> { { "class", "form-control" }, { "data-live-search", "true" }, { "data-max-options", "1" } })*@
                    @Html.TextBox("Years",null, new { @class = "form-control", @title = "Year", Placeholder = "Year", AutoCompleteType = "Disabled", validate = "validate_data", require = "*Please enter year" })
                    <select class="form-control" id="ddlMonth">
                        <option value="0">Please Select</option>
                        <option value="1">January</option>
                        <option value="2">February</option>
                        <option value="3">March</option>
                        <option value="4">April</option>
                        <option value="5">May</option>
                        <option value="6">June</option>
                        <option value="7">July</option>
                        <option value="8">August</option>
                        <option value="9">September</option>
                        <option value="10">October</option>
                        <option value="11">November</option>
                        <option value="12">December</option>
                    </select>
                    <select class="form-control"  id="ddltype">
                        <option value="PleaseSelect">Please Select</option>
                        <option value="Azure">Azure</option>
                        <option value="Office">Office</option>
                        <option value="OnlineService">OnlineService</option>
                    </select>
@using (Html.BeginForm("upload", "FileUpload", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
    <div class="fallback">
        <input type="file" name="file" id="file1">
    </div>
                        <!-- /.fallback -->
                        <div class="dz-message" data-dz-message>
                            <span>Drop files here to upload</span>
                        </div>
                        @Html.Hidden("Month");
    @Html.Hidden("Year");
    @Html.Hidden("Type");
    <button type="submit" class="btn btn-pinterest ripple" id="btnUpload"><i class="material-icons list-icon"></i>  <span>Upload</span></button>
}
                    @*<form action="~/FileUpload/upload" enctype = "multipart/form-data">

                      
                    </form>*@
                </div>
                <!-- /.widget-body -->
            </div>
            <!-- /.widget-bg -->
        </div>
        <!-- /.widget-holder -->
        
        <!-- /.widget-holder -->
        
        <!-- /.widget-holder -->
    </div>
    <!-- /.row -->
</div>



@section InScript{
    <link href="~/assets/css/dropzone.min.css" rel="stylesheet" type="text/css">
    <link href="~/assets/css/basic.min.css" rel="stylesheet" type="text/css">
    @*<script src="~/assets/js/dropzone.js"></script>*@
    <script src="~/assets/js/dropzone.min.js"></script>
    @*<script src="~/assets/js/app.js"></script>*@

    <script type="text/javascript">
        $(document).ready(function () {
            $('#demoupload').hide();
            $("#btnUpload").click(function () {
                alert("test");
            });
           
            $("#ddltype").change(function () {
                //$('#ddltype :selected').text();
                $('#Type').val($('#ddltype').val());
                if($('#ddltype').val().trim()!="PleaseSelect".trim())
                {
                    //
                    if ($('#Years').val().trim() != "" && $('#ddlMonth').val().trim() != "Please Select".trim())
                    {
                        $('#Year').val($('#Years').val());
                        $('#Month').val($('#ddlMonth :selected').val());
                        $('#demoupload').show();
                    }
                    else
                    {
                        alert("Select Year and Month ");
                    }
                }
                else
                {
                    $('#demoupload').hide();
                }
            });
            Dropdzoneupload();

            //Dropzone.options.uploads = {
            //    acceptedFiles: ".xlsx,.csv",
            //    autoProcessQueue: true,
            //    parallelUploads: 20
            //};

            //Dropzone.options.dropzoneJsForm = {
            //    paramName: "file",
            //    maxFilesize: 20,
            //    maxFiles: 4,
            //    uploadMultiple: true,
            //    parallelUploads: 6,
            //    acceptedFiles: ".xlsx",
            //    dictMaxFilesExceeded: "Custom max files msg",
            //    //prevents Dropzone from uploading dropped files immediately
            //    autoProcessQueue: false,
            //    init: function () {
            //        var submitButton = document.querySelector("#submit-all");
            //        var myDropzone = this; //closure

            //        submitButton.addEventListener("click", function () {

            //            //tell Dropzone to process all queued files
            //            myDropzone.processQueue();
            //        });
            //        this.on("complete", function (data) {
            //            //var res = eval('(' + data.xhr.responseText + ')');
            //            var res = JSON.parse(data.xhr.responseText);
            //        });
            //    }
            //};
        })

        function LoadFilesdata()
        {
            $.ajax({
                url: '/FileUpload/GetFilesData',
                type: 'Post',
                success: function (response) {
                    var data = JSON.parse(response.data)
                    $("#devCustomerDataGrid").dxDataGrid({
                        dataSource: data,
                        showBorders: true,
                        columnsAutoWidth: true,
                        showBorders: true,
                        filterRow: {
                            visible: true,
                            applyFilter: "auto"
                        },
                        headerFilter: {
                            visible: true
                        },
                        paging: {
                            pageSize: 10
                        },
                        pager: {
                            showPageSizeSelector: true,
                            allowedPageSizes: [5, 10, 20],
                            showInfo: true
                        },
                        columns: [
                            {

                                //caption: "Company"
                                caption: "Company",
                                dataField: "Company",
                                cellTemplate: function (container, options) {
                                    var html = "<a class='CustomerLink' href='@Url.Action("Modules", "Order")/" + options.data.ID + "' _MCID=" + options.data.CustomerMCID + "><span>" + options.data.Company + "</span></a>";
                                    $(html)
                           .appendTo(container);
                                }

                            }
                        ,
                            "CompanyAccount", {
                                caption: "Relationship",
                                calculateCellValue: function (data) {
                                    return "Cloud Reseller"
                                }
                            }, {

                                caption: "Action",
                                cellTemplate: function (container, options) {
                                    var html = "<a class='btn btn-pinterest tbl_expend_btn ripple' href='@Url.Action("Subscriptions", "Customer")/" + options.data.ID + "'><span>Add Subscriptions</span></a>";
                                    //html += "<a class='btn btn-pinterest tbl_expend_btn ripple' _id=" + options.data.ID + " id='btnpdfInvoice' href='@Url.Action("DownloadInvoice", "Invoice")/" + options.data.ID + "'> <i class='fa fa-file-pdf-o'></i> &nbsp;&nbsp; <span> Invoice</span></a>";
                                    $(html)
                           .appendTo(container);
                                }

                            }
                        ]
                    });


                },
                error: function (xhr) {
                    console.log(xhr);
                }
            });
        }


        function Dropdzoneupload() {

            Dropzone.autoDiscover = false;
            Dropzone.options.demoupload = {
                //var dZone = new Dropzone('#demoupload', {
                //url: "~/FileUpload/upload",
                autoProcessQueue: false,
                init: function () {
                    //var submitButton = document.querySelector("#btnSubmit");
                    var myDropzone = this;
                    //myDropzone.on("sending", function (file, xhr, formData) {
                    //    console.log("asd")
                    //    formData.append("ProductName", "Hello");
                    //});

                    //submitButton.addEventListener("click", function () {
                    //    myDropzone.processQueue();

                    //});

                }
            };
            //});
            
            Dropzone.options.demoupload.init();

            //new Dropzone('#demo-upload', {
            //    //autoDiscover: false,
            //    url: "~/FileUpload/upload",
            //    autoProcessQueue: false,
            //    //paramName: "file",
            //    //uploadMultiple: true,
            //    //addRemoveLinks: true,
            //    //maxFiles: 6,
            //    //acceptedFiles: "image/jpeg,image/jpg,image/png,image/gif",
            //    //parallelUploads: 6,
            //    init: function () {
            //        //var submitButton = document.querySelector("#submit-all");
            //        myDropzone = this; //closure

            //        myDropzone.on("sending", function (file, xhr, formData) {
            //            console.log("sending");
            //            formData.append("ProductName", 'bob');
            //        });


            //        //submitButton.addEventListener("click", function () {

            //        //    //tell Dropzone to process all queued files
            //        //    myDropzone.processQueue();
            //        //});



            //        //myDropzone.on("success", function (files, response) {
            //        //    console.log(response);
            //        //});
            //    }
            //});
        }
    </script>
}